/************************************************************************/
/*	Copyright (C) 2004  Michael C. Shultz				*/
/*									*/
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or (at*/
/* your option) any later version.					*/
/*									*/
/* This program is distributed in the hope that it will be useful,	*/
/* but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*/
/* GNU General Public License for more details. 			*/
/*									*/
/* You should have received a copy of the GNU General Public License	*/
/* along with this program; if not, write to the Free Software		*/
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*/
/*  02111-1307, USA.							*/
/* 									*/
/* Michael C. Shultz							*/
/* ringworm01@gmail.com							*/
/* Box 3238 Landers, CA 92285						*/
/************************************************************************/
#include	<libMG.h>
#include	<libMG.ph>

classDb*	MGdbOpen( char* dbFileName )
{
	char	id[]		= "MGdbOpen";
	static	classDb* db;

	/*zzzzzzzzzzzzzz*/
	db			= ( classDb* )calloc( sizeof(classDb), 1 );
	db->parent.mallocIdx	= 1;
	/*zzzzzzzzzzzzzz*/

	/*zzzzzzzzzzzzzz*/
	db->parent.mallocIdx++;
	db->parent.path		= calloc( strlen( dbFileName ) + 1, 1 );
	strcpy( db->parent.path, dbFileName );
	/*zzzzzzzzzzzzzz*/

	db->fieldIdx		= 0;
	db->fieldQty		= 0;
	db->parent.bof		= 1;
	db->parent.eof		= 0;
	db->parent.fopenIdx	= 0;
	db->parent.recordIdx	= 0;
	db->parent.recordQty	= 0;
	db->parent.type		= CLASS_TYPE_DB;

	MGdbRead( db );

	return( db );
}	
